<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Modules\HR\Enums\CalculationTypeEnum;
use Modules\Core\Enums\StatusEnum;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('holiday_allowance_policies', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->enum('calculation_type', CalculationTypeEnum::casesAsArray())->default(CalculationTypeEnum::FIXED);
            $table->decimal('amount', 12, 2);
            $table->decimal('multiplier', 8, 2)->nullable();
            $table->enum('status', StatusEnum::casesAsArray())->default(StatusEnum::ACTIVE);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('holiday_allowance_policies');
    }
};
